<?php
if (!function_exists('getallheaders')) {
    function getallheaders() {
    $headers = [];
    foreach ($_SERVER as $name => $value) {
        if (substr($name, 0, 5) == 'HTTP_') {
            $headers[str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', substr($name, 5)))))] = $value;
        }
    }
    return $headers;
    }
}

$useragent = $_SERVER['HTTP_USER_AGENT'] ?: 'N/A';
if ($useragent != 'GameBox') {
    header('location: https://www.trackmaniaforever.com');
    exit();
} else {
    $baseurl = ($_SERVER['HTTP_X_FORWARDED_PROTO'] ?: 'http') . '://' . $_SERVER['HTTP_HOST'];
    $reloadurl = basename(parse_url($baseurl . $_SERVER['REQUEST_URI'], PHP_URL_PATH));
    $debugme = filter_var($_GET["debugme"], FILTER_VALIDATE_BOOLEAN);
    if ($debugme)
        $reloadurl = $reloadurl . "?debugme=true";

    header("content-type: text/xml");
    ?>

    <?xml version="1.0" encoding="utf-8" standalone="yes" ?>
    <manialink version="3">
        <timeout>0</timeout>
        <quad pos="0 0.15 1" size="4 2" halign="center" valign="center" image="./ArcaneGame.jpg"/>
        <frame posn="0 -5 0">
            <label sizen="15 10" posn="-17 -20 0"
                halign="center" valign="center"
                text="Florida" manialink="./Florida.php"/>
            <label sizen="15 10" posn="0 -20 0"
                halign="center" valign="center"
                text="California" manialink="./California.php"/>
            <label sizen="15 10" posn="17 -20 0"
                halign="center" valign="center"
                text="Tokyo" manialink="./Tokyo.php"/>
            <label sizen="15 10" posn="-17 -32 0"
                halign="center" valign="center"
                text="Paris" manialink="./Paris.php"/>
            <label sizen="15 10" posn="0 -32 0"
                halign="center" valign="center"
                text="Hong Kong" manialink="./HongKong.php"/>
            <label sizen="15 10" posn="17 -32 0"
                halign="center" valign="center"
                text="Shanghai" manialink="./Shanghai.php"/>
        </frame>
        <?php if ($debugme) { ?>
        <label sizen="15 10" posn="-55 -42 0"
            halign="center" valign="center"
            text="Reload" manialink="./<?php echo $reloadurl ?>"/>
        <frame posn="-64 48 0">
            <?php
            $yn = 0;
            foreach (getallheaders() as $key => $value) {
                ?>
                <label sizen="128 3" posn="0 <?php echo $yn++ * -3; ?> 0" autonewline="1" text="<?php echo $key . ': ' . $value; ?>"/>
                <?php
            }
            ?>
        </frame>
        <?php } ?>
    </manialink>
<?php
}
?>
